<?php
/** $Id: default_form.php 11328 2008-12-12 19:22:41Z kdevine $ */
defined( '_JEXEC' ) or die( 'Restricted access' );

	$script = '<!--
		function validateForm( frm ) {
			var valid = document.formvalidator.isValid(frm);
			if (valid == false) {
				// do field validation
				if (frm.email.invalid) {
					alert( "' . JText::_( 'Please enter a valid e-mail address.', true ) . '" );
				} else if (frm.text.invalid) {
					alert( "' . JText::_( 'CONTACT_FORM_NC', true ) . '" );
				}
				return false;
			} else {
				frm.submit();
			}
		}
		// -->';
	$document =& JFactory::getDocument();
	$document->addScriptDeclaration($script);
	if(isset($this->error)) : ?>
<div class="contact_errors_msg"><?php echo $this->error; ?></div>
<?php endif; ?>

<div class="contact-form">
<form action="<?php echo JRoute::_( 'index.php' );?>" method="post" name="emailForm" id="emailForm" class="form-validate">
<fieldset>
	<legend>Send an email. All fields with an * are required.</legend>
		<dl>
			<dt>
				<label for="contact_name"><?php echo JText::_( 'Enter your name' );?><span class="star">&nbsp;*</span></label>
			</dt>
			<dd>
				<input type="text" name="name" id="contact_name" size="30" class="inputbox" value="" />
			</dd>
			
			<dt>
				<label id="contact_emailmsg" for="contact_email"><?php echo JText::_( 'Email address' );?><span class="star">&nbsp;*</span></label>
			</dt>
			<dd>
				<input type="text" id="contact_email" name="email" size="30" value="" class="inputbox required validate-email" maxlength="100" />
			</dd>
			
			<dt>
				<label for="contact_subject"><?php echo JText::_( 'Message subject' );?><span class="star">&nbsp;*</span></label>
			</dt>
			<dd>
				<input type="text" name="subject" id="contact_subject" size="30" class="inputbox" value="" />
			</dd>
			
			<dt>
				<label id="contact_textmsg" for="contact_text"><?php echo JText::_( 'Enter your message' );?><span class="star">&nbsp;*</span></label>
			</dt>
			<dd>
				<textarea cols="50" rows="10" name="text" id="contact_text" class="inputbox required"></textarea>
			</dd>
			
			<?php if ($this->contact->params->get( 'show_email_copy' )) : ?>
			<dt>
				<input type="checkbox" name="email_copy" id="contact_email_copy" value="1"  />
				<label for="contact_email_copy"><?php echo JText::_( 'EMAIL_A_COPY' ); ?></label>
			</dt>
			<?php endif; ?>
			
			<dd>
				<button class="button validate" type="submit"><?php echo JText::_('Send'); ?></button>
				<input type="hidden" name="option" value="com_contact" />
				<input type="hidden" name="view" value="contact" />
				<input type="hidden" name="id" value="<?php echo $this->contact->id; ?>" />
				<input type="hidden" name="task" value="submit" />
				<?php echo JHTML::_( 'form.token' ); ?>			
			</dd>
		</dl>
</fieldset>
</form>
</div>